Skip to main content
GET
/
lucca-api
/
occupation-categories
/
{id}
Retrieve an occupation-category
curl --request GET \
  --url https://{host}/lucca-api/occupation-categories/{id} \
  --header 'Api-Version: <api-version>' \
  --header 'Authorization: Bearer <token>'
{
  "id": "45",
  "type": "occupation-category",
  "url": "https://example.ilucca.net/lucca-api/occupation-categories/45",
  "title": "Executive",
  "businessEstablishments": [
    {
      "id": "5",
      "type": "business-establishment",
      "url": "https://example.ilucca.net/lucca-api/business-establishments/5"
    }
  ],
  "t9n": {
    "title": {
      "fr-FR": "Cadre"
    }
  },
  "links": {},
  "embedded": {}
}
This API endpoint is in beta and may be subject to changes, including breaking changes (similarly to the legacy API endpoints), without prior notice. Read more about versioning.
OAuth 2.0 scopes
 occupation-categories.readonly
or
 occupation-categories.readwrite

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

Headers

Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Path Parameters

id
string
required

Identifier of the occupation-category

Minimum string length: 1

Query Parameters

include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Response

OK

An occupation-category resource.

id
string
Minimum string length: 1
type
string
Allowed value: "occupation-category"
url
string<uri>
title
string

Must be unique. Invariant name of this occupation-category. Can be translated through t9n.title.{langTag}.

Required string length: 1 - 255
businessEstablishments
null | business-establishment-reference · object[]

null value MUST be interpreted like "ALL business-establishments, even those that will be created further down the line".

As a result, array cannot be empty.

Minimum array length: 1
t9n
object
embedded
object

No embedded resources on a occupation-category(ies) response. Expect an empty object if embedded are requested.